curl --request GET \
--url https://api.tomorro.com/v2/members \
--header 'x-api-key: <api-key>'import requests
url = "https://api.tomorro.com/v2/members"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.tomorro.com/v2/members', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "550e8400-e29b-41d4-a716-446655440000",
"role": "USER",
"status": "active",
"user": {
"email": "john.doe@example.com",
"firstName": "John",
"lastName": "Doe"
},
"groupIds": [
"550e8400-e29b-41d4-a716-446655440000"
],
"createdAt": "2024-01-01T00:00:00.000Z",
"updatedAt": "2024-01-02T00:00:00.000Z"
}
],
"pagination": {
"limit": 20,
"next_cursor": "eyJpZCI6IjEyMyJ9",
"prev_cursor": "eyJpZCI6IjEwMCJ9",
"has_next": true,
"has_previous": false
},
"links": {
"self": "/members?limit=20",
"next": "/members?limit=20&after=eyJpZCI6IjEyMyJ9",
"prev": "/members?limit=20&before=eyJpZCI6IjEwMCJ9"
}
}List members
Returns a paginated list of members in your organization. Supports cursor-based pagination, sorting, and filtering.
Authorizations
API key for authentication. Get your key at https://app.tomorro.com/settings/integrations?integration=api-key
Query Parameters
Number of items per page (1-50)
1 <= x <= 5020
Cursor for forward pagination. Use the next_cursor value from a previous response.
"eyJpZCI6IjEyMyJ9"
Cursor for backward pagination. Use the prev_cursor value from a previous response.
"eyJpZCI6IjEwMCJ9"
Sort order. Comma-separated list of fields. Prefix with - for descending. Allowed fields: id, role, status, createdAt, updatedAt. Default: -createdAt
"-createdAt,role"
Filter by status. Formats: status=active (equality), status=ne:disabled (not equals), status=in:active,pending (in list)
"active"
Filter by role. Formats: role=ADMIN (equality), role=ne:USER (not equals), role=in:ADMIN,MANAGER (in list)
"ADMIN"
Filter by email. Formats: email=user@example.com (equality), email=ne:user@example.com (not equals), email=in:a@example.com,b@example.com (in list)
"user@example.com"
Response
List of members with pagination info
An array of Member objects.
Show child attributes
Show child attributes
[
{
"id": "550e8400-e29b-41d4-a716-446655440000",
"role": "USER",
"status": "active",
"user": {
"email": "john.doe@example.com",
"firstName": "John",
"lastName": "Doe"
},
"groupIds": ["550e8400-e29b-41d4-a716-446655440000"],
"createdAt": "2024-01-01T00:00:00.000Z",
"updatedAt": "2024-01-02T00:00:00.000Z"
}
]
Pagination metadata including cursors and navigation flags.
Show child attributes
Show child attributes
{
"limit": 20,
"next_cursor": "eyJpZCI6IjEyMyJ9",
"prev_cursor": "eyJpZCI6IjEwMCJ9",
"has_next": true,
"has_previous": false
}
HATEOAS navigation links for pagination.
Show child attributes
Show child attributes
{
"self": "/members?limit=20",
"next": "/members?limit=20&after=eyJpZCI6IjEyMyJ9",
"prev": "/members?limit=20&before=eyJpZCI6IjEwMCJ9"
}